Qt 5.6 | Qt 3D | C++ Classes | QRenderPass

Qt 5.6.3 Reference Documentation

# QRenderPass Class

(Qt3DRender::QRenderPass)

Inherits: | Qt3DCore::QNode

- List of all members, including inherited members

## Properties

- shaderProgram : Qt3DRender::QShaderProgram *

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QRenderPass(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QRenderPass()
void | addAnnotation(QAnnotation *criterion)
void | addBinding(QParameterMapping *binding)
void | addParameter(QParameter *p)
void | addRenderState(QRenderState *state)
QList<QAnnotation *> | annotations() const
ParameterList | attributes() const
QList<QParameterMapping *> | bindings() const
QString | glslNameForParameter(QString paramName) const
QList<QParameter *> | parameters() const
void | removeAnnotation(QAnnotation *criterion)
void | removeBinding(QParameterMapping *binding)
void | removeParameter(QParameter *p)
void | removeRenderState(QRenderState *state)
QList<QRenderState *> | renderStates() const
QShaderProgram * | shaderProgram() const
ParameterList | uniforms() const

- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setShaderProgram(QShaderProgram *shaderProgram)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | shaderProgramChanged(QShaderProgram *shaderProgram)

- 2 signals inherited from Qt3DCore::QNode

## Protected Functions

| QRenderPass(QRenderPassPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)
void | copy(const Qt3DCore::QNode *ref)

- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 static protected member inherited from Qt3DCore::QNode

## Property Documentation

### shaderProgram : Qt3DRender::QShaderProgram *

Access functions:

QShaderProgram * | shaderProgram() const
void | setShaderProgram(QShaderProgram *shaderProgram)

Notifier signal:

void | shaderProgramChanged(QShaderProgram *shaderProgram)

## Member Function Documentation

### QRenderPass::QRenderPass(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QRenderPass.

### `[protected]` QRenderPass::QRenderPass(QRenderPassPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)

Copy constructor.

### QRenderPass::~QRenderPass()

Destroys the instance of QRenderPass.

### void QRenderPass::addAnnotation(QAnnotation *criterion)

### void QRenderPass::addBinding(QParameterMapping *binding)

### void QRenderPass::addParameter(QParameter *p)

### void QRenderPass::addRenderState(QRenderState *state)

### QList<QAnnotation *> QRenderPass::annotations() const

### ParameterList QRenderPass::attributes() const

### QList<QParameterMapping *> QRenderPass::bindings() const

### `[protected]` void QRenderPass::copy(const Qt3DCore::QNode *ref)

### QString QRenderPass::glslNameForParameter(QString paramName) const

### QList<QParameter *> QRenderPass::parameters() const

### void QRenderPass::removeAnnotation(QAnnotation *criterion)

### void QRenderPass::removeBinding(QParameterMapping *binding)

### void QRenderPass::removeParameter(QParameter *p)

### void QRenderPass::removeRenderState(QRenderState *state)

### QList<QRenderState *> QRenderPass::renderStates() const

### ParameterList QRenderPass::uniforms() const